package com.project.zcustom.mapper.unit;

import com.project.zcustom.domain.addional.LargeBuilding;

public interface PlatBuildingMapper {
    public int getCount();

    public String getPowerAndWaterMonth();

    public String getAirCondition();

    public String getTarget();

    public String useElectricity();

    public String greenElectricity();

    public String carbon();

    public String energyYear();

    public String powerYear();

    public String waterYear();

    public String frequency();

    public String patrol();

    public String patrolPoint();



    public int updatePowerAndWaterMonth(String res);

    public int updateAirCondition(String res);

    public int updateTarget(String res);

    public int updateUseElectricity(String res);

    public int updateGreenElectricity(String res);

    public int updateCarbon(String res);

    public int updateEnergyYear(String res);

    public int updatePowerYear(String res);

    public int updateWaterYear(String res);

    public int updateFrequency(String res);

    public int updatePatrol(String res);

    public int updatePatrolPoint(String res);

    public int updateBuilding(LargeBuilding largeBuilding);
    public int insertBuilding(LargeBuilding largeBuilding);
}
